<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Add the PayPal submenu to the Payments Tab
 * 
 */
function wpbs_pp_settings_page_tab($tabs){

    $tabs['paypal'] = 'PayPal';
    return $tabs;
}
add_filter('wpbs_submenu_page_settings_payment_tabs', 'wpbs_pp_settings_page_tab', 1);

/**
 * Add the PayPal Settings to the PayPal Payments tab
 * 
 */
function wpbs_pp_settings_page_tab_paypal(){
    $settings = get_option( 'wpbs_settings', array() );
    $defaults = wpbs_pp_settings_paypal_defaults();  
    $paypal_api = get_option( 'wpbs_paypal_api', array() );

    include 'views/view-payment-settings-paypal.php';
}
add_action('wpbs_submenu_page_payment_settings_tab_paypal', 'wpbs_pp_settings_page_tab_paypal');

/**
 * Save PayPal API Keys in a separate option field.
 * 
 */
function wpbs_pp_save_api_keys($option_name, $old_value, $value ) {
    // If wpbs_settings are being saved
    if($option_name != 'wpbs_settings' ){
        return false;
    }

    // If isset paypal api post data
    if(!isset($_POST['wpbs_paypal_api'])){
        return false;
    }
    
    // Do the update
    update_option('wpbs_paypal_api', $_POST['wpbs_paypal_api']); 

};
add_action('updated_option', 'wpbs_pp_save_api_keys', 10, 3);