<?php 
$active_languages = (!empty($settings['active_languages']) ? $settings['active_languages'] : array());
$languages = wpbs_get_languages();
?>

<h2><?php echo __('PayPal', 'wp-booking-system-paypal') ?><?php echo wpbs_get_output_tooltip(__("Give the customer the option to pay with PayPal or a credit card.", 'wp-booking-system-paypal'));?></h2>

<!-- Enable PayPal -->
<div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
	<label class="wpbs-settings-field-label" for="payment_paypal_enable">
        <?php echo __( 'Active', 'wp-booking-system-paypal'); ?>
    </label>

	<div class="wpbs-settings-field-inner">
        <label for="payment_paypal_enable" class="wpbs-checkbox-switch">
            <input type="hidden" name="wpbs_settings[payment_paypal_enable]" value="0">
            <input data-target="#wpbs-payment-paypal" name="wpbs_settings[payment_paypal_enable]" type="checkbox" id="payment_paypal_enable"  class="regular-text wpbs-settings-toggle wpbs-settings-wrap-toggle" <?php echo ( !empty( $settings['payment_paypal_enable'] ) ) ? 'checked' : '';?> >
            <div class="wpbs-checkbox-slider"></div>
        </label>
	</div>
</div>

<div id="wpbs-payment-paypal" class="wpbs-payment-on-arrival-wrapper wpbs-settings-wrapper <?php echo ( !empty($settings['payment_paypal_enable']) ) ? 'wpbs-settings-wrapper-show' : '';?>">

    <!-- Payment Method Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_paypal_name">
                <?php echo __( 'Display name', 'wp-booking-system-paypal'); ?>
                <?php echo wpbs_get_output_tooltip(__("The payment method name that appears on the booking form.", 'wp-booking-system-paypal'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_paypal_name]" type="text" id="payment_paypal_name"  class="regular-text" value="<?php echo ( !empty( $settings['payment_paypal_name'] ) ) ? $settings['payment_paypal_name'] : $defaults['display_name'];?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-paypal'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_paypal_name_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_paypal_name_translation_<?php echo $language; ?>]" type="text" id="payment_paypal_name_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_paypal_name_translation_'. $language])) ? esc_attr($settings['payment_paypal_name_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>

    <!-- Payment Method Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_paypal_description">
                <?php echo __( 'Description', 'wp-booking-system-paypal'); ?>
                <?php echo wpbs_get_output_tooltip(__("The payment method description that appears on the booking form.", 'wp-booking-system-paypal'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_paypal_description]" type="text" id="payment_paypal_description"  class="regular-text" value="<?php echo ( !empty( $settings['payment_paypal_description'] ) ) ? $settings['payment_paypal_description'] : $defaults['description'];?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-paypal'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_paypal_description_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_paypal_description_translation_<?php echo $language; ?>]" type="text" id="payment_paypal_description_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_paypal_description_translation_'. $language])) ? esc_attr($settings['payment_paypal_description_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>

    <!-- Invoice Item Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_paypal_invoice_name">
                <?php echo __( 'Invoice Item Name', 'wp-booking-system-paypal'); ?>
                <?php echo wpbs_get_output_tooltip(__('The name of the product that appears on the PayPal invoice. Eg. "Booking at Anne\'s house."', 'wp-booking-system-paypal'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_paypal_invoice_name]" type="text" id="payment_paypal_invoice_name"  class="regular-text" value="<?php echo ( !empty( $settings['payment_paypal_invoice_name'] ) ) ? $settings['payment_paypal_invoice_name'] : '';?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-paypal'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_paypal_invoice_name_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_paypal_invoice_name_translation_<?php echo $language; ?>]" type="text" id="payment_paypal_invoice_name_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_paypal_invoice_name_translation_'. $language])) ? esc_attr($settings['payment_paypal_invoice_name_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>
    

    <!-- API Settings -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-heading wpbs-settings-field-large">
        <label class="wpbs-settings-field-label"><?php echo __('API Credentials','wp-booking-system-paypal') ?></label>
        <div class="wpbs-settings-field-inner">&nbsp;</div>
    </div>

    <!-- Form Changed Notice -->
    <div class="wpbs-page-notice notice-info wpbs-form-changed-notice"> 
        <p><?php echo __( 'If you need help getting your API Keys, <a target="_blank" href="https://www.wpbookingsystem.com/documentation/paypal-integration/">check out our guide</a> which offers step by step instructions.', 'wp-booking-system-paypal'); ?></p>
    </div>

    <!-- Environment -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <div class="wpbs-settings-field-inner">
            <label class="wpbs-settings-field-label" for="payment_paypal_sandbox">
                <?php echo __( 'Enable Sandbox', 'wp-booking-system-paypal'); ?>
                <?php echo wpbs_get_output_tooltip(__("We recommend enabling sandbox mode and testing the payment integration before going live.", 'wp-booking-system-paypal'));?>
            </label>
            <label for="payment_paypal_sandbox" class="wpbs-checkbox-switch">
                <input type="hidden" name="wpbs_settings[payment_paypal_sandbox]" value="0">
                <input name="wpbs_settings[payment_paypal_sandbox]" type="checkbox" id="payment_paypal_sandbox"  class="regular-text wpbs-settings-toggle" <?php echo ( !empty( $settings['payment_paypal_sandbox'] ) ) ? 'checked' : '';?> >
                <div class="wpbs-checkbox-slider"></div>
            </label>
        </div>
    </div>

    <!-- Sandbox Client ID -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_paypal_sandbox_api_client_id">
            <?php echo __( 'Sandbox Client ID', 'wp-booking-system-paypal'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_paypal_api[payment_paypal_sandbox_api_client_id]" type="text" id="payment_paypal_sandbox_api_client_id"  class="regular-text " value="<?php echo ( !empty( $paypal_api['payment_paypal_sandbox_api_client_id'] ) ) ? $paypal_api['payment_paypal_sandbox_api_client_id'] : '';?>" >
        </div>
    </div>
    
    <!-- Sandbox Client Secret -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_paypal_sandbox_api_secret">
            <?php echo __( 'Sandbox Secret', 'wp-booking-system-paypal'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_paypal_api[payment_paypal_sandbox_api_secret]" type="text" id="payment_paypal_sandbox_api_secret"  class="regular-text " value="<?php echo ( !empty( $paypal_api['payment_paypal_sandbox_api_secret'] ) ) ? $paypal_api['payment_paypal_sandbox_api_secret'] : '';?>" >
        </div>
    </div>

    <!-- Live Client ID -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_paypal_live_api_client_id">
            <?php echo __( 'Live Client ID', 'wp-booking-system-paypal'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_paypal_api[payment_paypal_live_api_client_id]" type="text" id="payment_paypal_live_api_client_id"  class="regular-text " value="<?php echo ( !empty( $paypal_api['payment_paypal_live_api_client_id'] ) ) ? $paypal_api['payment_paypal_live_api_client_id'] : '';?>" >
        </div>
    </div>
    
    <!-- Live Client Secret -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_paypal_live_api_secret">
            <?php echo __( 'Live Secret', 'wp-booking-system-paypal'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_paypal_api[payment_paypal_live_api_secret]" type="text" id="payment_paypal_live_api_secret"  class="regular-text " value="<?php echo ( !empty( $paypal_api['payment_paypal_live_api_secret'] ) ) ? $paypal_api['payment_paypal_live_api_secret'] : '';?>" >
        </div>
    </div>


</div>